Skip to content
Navigation

Pages the store's checkouts.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/checkouts

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • customer
    optional
    string

    An id.

    minLength: 1
  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean
  • facets
    optional
    array of
    string

Returns

200

Pages the store's checkouts.

JSON
  • items
    array of
    object
    required
    • customer
      required

      One of the following:

      • object
      • null
    • status
      string
      required
    • items
      array of
      object
      required
      • product
        required

        One of the following:

        • object
        • null
      • refund_policy
        required

        One of the following:

        • string
        • null
      • refund_until
        required

        One of the following:

        • string
        • null
      • id
        string
        required
      • product_id
        string
        required
      • price_id
        string
        required
      • quantity
        number
        required
      • amount
        required

        One of the following:

        • number
        • null
      • discount
        required

        One of the following:

        • number
        • null
      • discount_id
        required

        One of the following:

        • string
        • null
      • total
        required

        One of the following:

        • number
        • null
      • mode
        string
        required
      • display_name
        required

        One of the following:

        • string
        • null
      • message
        required

        One of the following:

        • string
        • null
    • totals
      object
      required
      • amount
        required

        One of the following:

        • number
        • null
      • discount
        required

        One of the following:

        • number
        • null
      • total
        required

        One of the following:

        • number
        • null
    • id
      string
      required
    • customer_id
      string
      required
    • currency
      string
      required
    • exponent
      required

      One of the following:

      • number
      • null
    • discount_id
      required

      One of the following:

      • string
      • null
    • coupon
      required

      One of the following:

      • string
      • null
    • refund_waiver
      required

      One of the following:

      • object
      • null
    • under_minimum
      required

      One of the following:

      • object
      • null
    • refunds_refused
      array of
      object
      required

      Payments on the cart whose refund Stripe refused for good, oldest first: the store's to hand back, less what is still pending.

      • processor_ref
        string
        required
      • amount
        required

        One of the following:

        • number
        • null
      • pending
        required

        One of the following:

        • number
        • null
      • refused_at
        string
        required
    • expires_at
      required

      One of the following:

      • string
      • null
    • created_at
      required

      One of the following:

      • string
      • null
    • updated_at
      required

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close